--- title: "UpdateMonitorGrp" slug: "management-cloudinsight-updatemonitorgrp" updated: 2026-09-17T10:05:41Z published: 2026-09-17T10:05:41Z canonical: "api.ncloud-docs.com/management-cloudinsight-updatemonitorgrp" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # UpdateMonitorGrp Available in Classic and VPC Update a monitoring target group. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | PUT | /cw_fea/real/cw/api/rule/group/monitor | ### Request headers For information about the headers common to all Cloud Insight APIs, see [Cloud Insight request headers](/docs/en/management-cloudinsight#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body For more information on the fields related to the monitoring target group information, see [MonitorGrpDto](/docs/en/common-vapidatatype-cimonitorgrpdto). ### Request example The request example is as follows: ``` curl --location --request PUT 'https://cw.apigw.ntruss.com/cw_fea/real/cw/api/rule/group/monitor' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "groupDesc": "Update monitoring target group", "groupName": "monitorGrp001", "id": "**********", "monitorGroupItemList": [ { "nrn": "**********", "resourceId": "**********", "resourceName": "20241202-test/KR" } ], "prodKey": "**********", "prodName": "Object Storage", "temporaryGroup": false, "type": "NORMAL" }' ``` ## Response This section describes the response format. ### Response status codes For information about the HTTP status codes common to NAVER Cloud Platform, see [Cloud Insight API response status codes](/docs/en/management-cloudinsight#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example If the response is successful, the monitoring target group is updated along with the message `200 OK`.